const std = @import("std");
const Builder = std.build.Builder;
const Step = std.build.Step;
const LibExeObjStep = std.build.LibExeObjStep;

const builtin = @import("builtin");
const uf2 = @import("uf2/src/main.zig");
const rp2040 = @import("rp2040/build.zig");

pub fn build(b: *Builder) !void {
    const mode = b.standardReleaseOptions();
    var exe = rp2040.addPiPicoExecutable(b, "merry_chrysler", "src/main.zig", .{});

    exe.setBuildMode(mode);

    const uf2_step = uf2.Uf2Step.create(exe.inner, .{
        .family_id = .RP2040,
    });

    uf2_step.install();

    exe.install();
}
